summarylogtreecommitdiffstats
path: root/maraschino.install
diff options
context:
space:
mode:
authorSlashbunny2014-01-01 03:25:02 -0500
committerSlashbunny2014-01-01 03:28:54 -0500
commit94d31aebace483a75f60fff03a534006472ae6c6 (patch)
tree22f2f431f672422d12eff6cb0133d970cbd3aa47 /maraschino.install
parentef87c4115d976e06289e8a4d0bf101552bba5030 (diff)
downloadaur-94d31aebace483a75f60fff03a534006472ae6c6.tar.gz
/run is tmpfs, so tmpfiles.d configuration needs to be added to persist between reboots
Diffstat (limited to 'maraschino.install')
-rw-r--r--maraschino.install2
1 files changed, 2 insertions, 0 deletions
diff --git a/maraschino.install b/maraschino.install
index f36f4e3beb60..29f0f874083f 100644
--- a/maraschino.install
+++ b/maraschino.install
@@ -9,6 +9,7 @@ post_install() {
useradd -g ${MC_GROUP} -d ${MC_DIR} -s /bin/false ${MC_USER} &> /dev/null
chown -R ${MC_USER}:${MC_GROUP} ${MC_DIR}
chown -R ${MC_USER}:${MC_GROUP} ${MC_SETTINGS_DIR}
+ usr/bin/systemd-tmpfiles --create maraschino.conf || true
}
## arg 1: the new package version
@@ -16,6 +17,7 @@ post_install() {
post_upgrade() {
chown -R ${MC_USER}:${MC_GROUP} ${MC_DIR}
chown -R ${MC_USER}:${MC_GROUP} ${MC_SETTINGS_DIR}
+ usr/bin/systemd-tmpfiles --create maraschino.conf || true
}
## arg 1: the old package version